
Ruby - Bug #6028

OpenStruct.dup doesn't have all its methods

02/15/2012 11:44 AM - marcandre (Marc-Andre Lafortune)

Status: Closed   

Priority: Normal   

Assignee: marcandre (Marc-Andre Lafortune)   

Target version: 1.9.3   

ruby -v: r34609 Backport:  

Description

Dupped OpenStructs don't have the same methods.

x = OpenStuct.new(foo: 42)

x.dup.methods == x.methods # => false

x.respond_to?(:foo) # => true

x.dup.respond_to?(:foo) # => false

Associated revisions

Revision 2d952c6d16ffe06a28bb1007e2cd1410c3db2d58 - 02/15/2012 03:31 AM - Marc-Andre Lafortune 

lib/ostruct.rb: Create getters and setters after dup.

[Bug #6028] [rubyspecs:0380bcc]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34620 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2d952c6d - 02/15/2012 03:31 AM - Marc-Andre Lafortune 

lib/ostruct.rb: Create getters and setters after dup.

[Bug #6028] [rubyspecs:0380bcc]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34620 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/15/2012 12:31 PM - marcandre (Marc-Andre Lafortune)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r34620.

Marc-Andre, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/ostruct.rb: Create getters and setters after dup.

[Bug #6028] [rubyspecs:0380bcc]

Powered by TCPDF (www.tcpdf.org)

06/14/2025 1/1

https://bugs.ruby-lang.org/issues/6028
http://www.tcpdf.org

